Skip to main content
POST
borrowLendReserveState

Authorizations

X-API-KEY
string
header
required

API key to access the API (Optional)

Query Parameters

chainId
enum<number>
default:999
required

Unique identifier for a blockchain network.

Available options:
999,
998
Example:

999

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
Dwellir,
Chainstack,
Covalent

Body

application/json
type
enum<string>
default:borrowLendReserveState
required
Available options:
borrowLendReserveState
Example:

"borrowLendReserveState"

token
number
required

The token index whose reserve state to read.

Example:

0

Response

200 - application/json

Successful response.

borrowYearlyRate
string
required
Example:

"0.0"

supplyYearlyRate
string
required
Example:

"0.0"

balance
string
required
Example:

"0.0"

utilization
string
required
Example:

"0.0"

oraclePx
string
required
Example:

"0.0"

ltv
string
required
Example:

"0.0"

totalSupplied
string
required
Example:

"0.0"

totalBorrowed
string
required
Example:

"0.0"